## mtr 0.87

=== Makefile ===

#
# This is an attempt on simplifying the compilation of mtr to a simple "make". 
#

firstrule: 
	./configure 
	$(MAKE)

clean: 
	rm -f *.o *~ core

distclean: clean
	rm -f mtr config.cache config.status config.log \
	          stamp-h stamp-h[0-9]* TAGS ID

=== debian/changelog ===
mtr (0.87-1) unstable; urgency=medium

  * Correct typos in the postinst and package description

  [ Samuel Henrique ]
  * New upstream release.
  * Bump DH level to 10.
  * Bump Standards-Version to 3.9.8.
  * Add myself as an uploader.
  * d/clean: Create file and add build generated files.
  * d/control:
     - Add Vcs-* fields.
     - Change all Conflicts entry to Breaks, as they're less strict.
     - Remove Priority field from mtr-tiny, as its inherited from the
       source package paragraph.
  * d/copyright: Convert to DEP-5.
  * d/source: Remove lintian-overrides, as they're not used.
  * d/watch: Create file and watch official repository at github.
  * wrap-and-sort -a.

 -- Robert Woodcock <rcw@debian.org>  Mon, 02 Jan 2017 10:17:13 -0800

=== debian/control ===
Source: mtr
Section: net
Priority: optional
Maintainer: Robert Woodcock <rcw@debian.org>
Uploaders: Samuel Henrique <samueloph@gmail.com>
Standards-Version: 3.9.8
Homepage: http://www.bitwizard.nl/mtr/
Build-Depends: automake,
               debhelper (>= 10),
               libgtk2.0-dev,
               libncurses-dev
Vcs-Git: https://anonscm.debian.org/git/collab-maint/mtr.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/mtr.git

Package: mtr
Architecture: any
Priority: extra
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: mtr-tiny,
        suidmanager (<< 0.50)
Replaces: mtr-tiny
Description: Full screen ncurses and X11 traceroute tool
 mtr combines the functionality of the 'traceroute' and 'ping' programs
 in a single network diagnostic tool.
 .
 As mtr starts, it investigates the network connection between the host
 mtr runs on and a user-specified destination host.  After it
 determines the address of each network hop between the machines,
 it sends a sequence of ICMP ECHO requests to each one to determine the
 quality of the link to each machine.  As it does this, it prints
 running statistics about each machine.

Package: mtr-tiny
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: mtr,
        suidmanager (<< 0.50)
Replaces: mtr
Description: Full screen ncurses traceroute tool
 mtr combines the functionality of the 'traceroute' and 'ping' programs
 in a single network diagnostic tool.
 .
 As mtr starts, it investigates the network connection between the host
 mtr runs on and a user-specified destination host.  After it
 determines the address of each network hop between the machines,
 it sends a sequence of ICMP ECHO requests to each one to determine the
 quality of the link to each machine.  As it does this, it prints
 running statistics about each machine.
 .
 mtr-tiny is compiled without support for X and conserves disk space.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@



override_dh_auto_configure:
	./bootstrap.sh

	touch configure.in && \
	touch aclocal.m4 && \
	touch configure

	autoreconf -fi

	mkdir mtr && cd mtr && CFLAGS=-I.. ../configure $(shell dpkg-buildflags --export=configure >/dev/null 2>&1 && dpkg-buildflags --export=configure) $(confflags) --prefix=`pwd`/debian/tmp/usr --mandir=`pwd`/debian/tmp/usr/share/man --sbindir=`pwd`/debian/tmp/usr/bin

	mkdir mtr-tiny && cd mtr-tiny && CFLAGS=-I.. ../configure $(shell dpkg-buildflags --export=configure >/dev/null 2>&1 && dpkg-buildflags --export=configure) $(confflags) --prefix=`pwd`/debian/tmp/usr --mandir=`pwd`/debian/tmp/usr/share/man --sbindir=`pwd`/debian/tmp/usr/bin --without-gtk



override_dh_auto_build:
	make -C mtr
	make -C mtr-tiny



override_dh_auto_clean:
	rm -f Makefile.in
	rm -f aclocal.m4
	rm -f configure
	rm -f configure.in
	rm -rf mtr
	rm -rf mtr-tiny
	dh_auto_clean



override_dh_installdirs-arch:
	dh_installdirs -a
	$(MAKE) -C mtr-tiny prefix=`pwd`/debian/mtr-tiny/usr install
	mv mtr-tiny/debian/tmp/usr/bin/mtr debian/mtr-tiny/usr/bin/
	$(MAKE) -C mtr prefix=`pwd`/debian/mtr/usr install
	mv mtr/debian/tmp/usr/bin/mtr debian/mtr/usr/bin/

override_dh_installchangelogs-arch:
	dh_installchangelogs -a NEWS


override_dh_fixperms-arch:
	dh_fixperms -a

## mtr 0.92

=== img/Makefile ===
# Makefile.in generated by automake 1.14.1 from Makefile.am.
# img/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/mtr
pkgincludedir = $(includedir)/mtr
pkglibdir = $(libdir)/mtr
pkglibexecdir = $(libexecdir)/mtr
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
subdir = img
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/wolff/mtr/missing aclocal-1.14
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AUTOCONF = ${SHELL} /home/wolff/mtr/missing autoconf
AUTOHEADER = ${SHELL} /home/wolff/mtr/missing autoheader
AUTOMAKE = ${SHELL} /home/wolff/mtr/missing automake-1.14
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall -Wno-pointer-sign
CPP = gcc -E
CPPFLAGS = 
CURSES_OBJ = curses.o
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
GREP = /bin/grep
GTK_OBJ = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = -lm -lncurses 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/wolff/mtr/missing makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = mtr
PACKAGE_BUGREPORT = 
PACKAGE_NAME = mtr
PACKAGE_STRING = mtr 0.87
PACKAGE_TARNAME = mtr
PACKAGE_URL = 
PACKAGE_VERSION = 0.87
PATH_SEPARATOR = :
RESOLV_LIBS = -lresolv
SET_MAKE = 
SHELL = /bin/bash
STRIP = 
VERSION = 0.87
abs_builddir = /home/wolff/mtr/img
abs_srcdir = /home/wolff/mtr/img
abs_top_builddir = /home/wolff/mtr
abs_top_srcdir = /home/wolff/mtr
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build_alias = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/wolff/mtr/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
EXTRA_DIST = mtr_icon.xpm
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign img/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign img/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
tags TAGS:

ctags CTAGS:

cscope cscopelist:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: install-am install-strip

.PHONY: all all-am check check-am clean clean-generic cscopelist-am \
	ctags-am distclean distclean-generic distdir dvi dvi-am html \
	html-am info info-am install install-am install-data \
	install-data-am install-dvi install-dvi-am install-exec \
	install-exec-am install-html install-html-am install-info \
	install-info-am install-man install-pdf install-pdf-am \
	install-ps install-ps-am install-strip installcheck \
	installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
	pdf-am ps ps-am tags-am uninstall uninstall-am


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
mtr (0.92-1) unstable; urgency=medium

  [ Samuel Henrique ]
  * New upstream release
  * Bump Standards-Version to 4.1.0
  * d/control:
    - add Rhonda to uploaders
  * d/rules:
    - use dh_auto_configure, fixes FTCBFS, patch by Helmut Grohne
      (closes: #839879)
  * d/control: remove 'extra' priority, inherit optional from source

  [ Robert Woodcock ]
  * d/patches: install_on_usrbin: install on bin instead of sbin
  * d/*.manpages: create files for mtr-* packages
  * d/rules: create tarball-version

 -- Robert Woodcock <rcw@debian.org>  Wed, 01 Nov 2017 19:48:40 -0700

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: net
 Priority: optional
 Maintainer: Robert Woodcock <rcw@debian.org>
-Uploaders: Samuel Henrique <samueloph@gmail.com>
-Standards-Version: 3.9.8
+Uploaders: Rhonda D'Vine <rhonda@debian.org>,
+           Samuel Henrique <samueloph@gmail.com>
+Standards-Version: 4.1.0
 Homepage: http://www.bitwizard.nl/mtr/
 Build-Depends: automake,
                debhelper (>= 10),
@@ -14,7 +15,6 @@
 
 Package: mtr
 Architecture: any
-Priority: extra
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Breaks: mtr-tiny,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	./bootstrap.sh

	touch configure.in && \
	touch aclocal.m4 && \
	touch configure

	head -n 1 debian/changelog | sed 's/[^(]*(\([^-]*\)-.*/\1/' > .tarball-version
	autoreconf -fi

	CFLAGS=-I.. dh_auto_configure --builddirectory=mtr -- $(shell dpkg-buildflags --export=configure >/dev/null 2>&1 && dpkg-buildflags --export=configure) $(confflags)

	CFLAGS=-I.. dh_auto_configure --builddirectory=mtr-tiny -- $(shell dpkg-buildflags --export=configure >/dev/null 2>&1 && dpkg-buildflags --export=configure) $(confflags) --without-gtk

override_dh_auto_build:
	make -C mtr
	make -C mtr-tiny

override_dh_auto_clean:
	rm -f Makefile.in
	rm -f aclocal.m4
	rm -f configure
	rm -f configure.in
	rm -rf mtr
	rm -rf mtr-tiny
	rm -f .tarball-version
	dh_auto_clean

override_dh_installdirs-arch:
	dh_installdirs -a
	dh_auto_install --builddirectory=mtr --destdir=debian/mtr
	dh_auto_install --builddirectory=mtr-tiny --destdir=debian/mtr-tiny

override_dh_installchangelogs-arch:
	dh_installchangelogs -a NEWS

override_dh_fixperms-arch:
	dh_fixperms -a

## mtr 0.93

=== debian/changelog ===
mtr (0.93-2) unstable; urgency=medium

  * Bump Standards Version to 4.5.0
  * d/rules: Change override_dh_auto_build to allow debhelper to use
    deblheper flags
  * Use debhelper-compat instead of debhelper
  * Add salsa-ci.yml for pipelines
  * Add gbp.conf

 -- Samuel Henrique <samueloph@debian.org>  Sun, 19 Apr 2020 16:54:14 +0100

mtr (0.93-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Samuel Henrique ]
  * New upstream version 0.93
  * Bump DH level to 12
  * Bump Standards-Version to 4.4.0
  * d/docs: README is now in markdown
  * d/p/manpage_typos.patch: remove, applied upstream

 -- Samuel Henrique <samueloph@debian.org>  Tue, 20 Aug 2019 22:26:21 +0100

mtr (0.92-2) unstable; urgency=medium

  * Bump DH to 11
  * Bump Standards-Version to 4.2.0
  * Ack NMU, thanks to Niels Thykier (closes: #903182)
  * Move packaging to salsa.d.o
  * Update my email to @debian.org
  * d/copyright: update debian/* entry
  * d/p/manpage_typos.patch: new patch to fix typos

 -- Samuel Henrique <samueloph@debian.org>  Sun, 12 Aug 2018 09:58:39 -0300

mtr (0.92-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove redundant debian/*manpages files.  The upstream build
    system correctly installs the manpages by default and the
    manpages had incorrect path.  (closes: #903182)
  * Set Rules-Requires-Root to no as mtr does not need (fake)root
    during the binary targets.

 -- Niels Thykier <niels@thykier.net>  Mon, 06 Aug 2018 20:33:06 +0000

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Priority: optional
 Maintainer: Robert Woodcock <rcw@debian.org>
 Uploaders: Rhonda D'Vine <rhonda@debian.org>,
-           Samuel Henrique <samueloph@gmail.com>
-Standards-Version: 4.1.0
+           Samuel Henrique <samueloph@debian.org>
+Standards-Version: 4.5.0
 Homepage: http://www.bitwizard.nl/mtr/
 Build-Depends: automake,
-               debhelper (>= 10),
+               debhelper-compat (= 12),
                libgtk2.0-dev,
                libncurses-dev
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/mtr.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/mtr.git
+Vcs-Browser: https://salsa.debian.org/debian/mtr
+Vcs-Git: https://salsa.debian.org/debian/mtr.git
+Rules-Requires-Root: no
 
 Package: mtr
 Architecture: any

## mtr 0.94

=== debian/changelog ===
mtr (0.94-1+deb11u1) bullseye; urgency=medium

  * d/control: Compile with json support with jansson (closes: #986534)

 -- Samuel Henrique <samueloph@debian.org>  Sat, 11 Sep 2021 22:16:39 +0100

mtr (0.94-1) unstable; urgency=medium

  [ Samuel Henrique ]
  * New upstream version 0.94
  * Bump DH to 13

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Samuel Henrique <samueloph@debian.org>  Sun, 27 Sep 2020 18:02:26 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Uploaders: Rhonda D'Vine <rhonda@debian.org>,
            Samuel Henrique <samueloph@debian.org>
 Standards-Version: 4.5.0
-Homepage: http://www.bitwizard.nl/mtr/
+Homepage: https://www.bitwizard.nl/mtr/
 Build-Depends: automake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                libgtk2.0-dev,
-               libncurses-dev
+               libncurses-dev,
+               libjansson-dev
 Vcs-Browser: https://salsa.debian.org/debian/mtr
 Vcs-Git: https://salsa.debian.org/debian/mtr.git
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -21,8 +21,8 @@
 	CFLAGS=-I.. dh_auto_configure --builddirectory=mtr-tiny -- $(shell dpkg-buildflags --export=configure >/dev/null 2>&1 && dpkg-buildflags --export=configure) $(confflags) --without-gtk
 
 override_dh_auto_build:
-	make -C mtr
-	make -C mtr-tiny
+	dh_auto_build -- -C mtr
+	dh_auto_build -- -C mtr-tiny
 
 override_dh_auto_clean:
 	rm -f Makefile.in

## mtr 0.95

=== debian/changelog ===
mtr (0.95-1) unstable; urgency=medium

  * New upstream version 0.95
   - Fix FTBFS - ui/curses: always use "%s"-style format for printf()-style
     functions (closes: #997194)
  * Bump Standards-Version to 4.6.0
  * d/p/install_on_usrbin.patch: Refresh patch
  * d/rules: Remove unneeded '-Wl,--as-needed' flag, default now

 -- Samuel Henrique <samueloph@debian.org>  Tue, 11 Jan 2022 09:46:46 -0300

mtr (0.94-2) unstable; urgency=medium

  * d/control: Compile with json support with jansson (closes: #986534)

 -- Samuel Henrique <samueloph@debian.org>  Mon, 23 Aug 2021 19:17:06 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Robert Woodcock <rcw@debian.org>
 Uploaders: Rhonda D'Vine <rhonda@debian.org>,
            Samuel Henrique <samueloph@debian.org>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://www.bitwizard.nl/mtr/
 Build-Depends: automake,
                debhelper-compat (= 13),

## mtr 0.96

=== debian/changelog ===
mtr (0.96-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Boyuan Yang <byang@debian.org>  Tue, 26 Aug 2025 12:35:29 -0400

mtr (0.96-1) unstable; urgency=medium

  * New upstream version 0.96

 -- Samuel Henrique <samueloph@debian.org>  Tue, 12 Aug 2025 20:39:18 +0100

mtr (0.95-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Build with GTK 3 (Closes: #967647)

 -- Bastian Germann <bage@debian.org>  Fri, 29 Sep 2023 10:39:36 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Homepage: https://www.bitwizard.nl/mtr/
 Build-Depends: automake,
                debhelper-compat (= 13),
-               libgtk2.0-dev,
+               libgtk-3-dev,
                libncurses-dev,
                libjansson-dev
 Vcs-Browser: https://salsa.debian.org/debian/mtr

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
 	dh $@
